﻿.h1, .h2 {
    color: var(--blanc);
}

.cbk_rc__revive-container,
.cbk_rc__revive-container a {
    display: block;
    width: 100%;
}

.cbk_rc__revive-container img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.cbk_rc__introduction {
    width: 100%;
    margin: var(--marg_0_auto);
    background-image: url(https://www.cybertek.fr/images_produits/cybertek/images-landing/landing-rc/bg-1.png);
    background-position: top;
    background-size: cover;
    background-repeat: no-repeat;
    padding-top: 100px;
}

.cbk_rc__rdv-title {
    text-transform: uppercase;
    font-weight: var(--regular);
    text-align: center;
}

.cbk_rc__bolder-text {
    text-transform: uppercase;
}

.cbk_rc__rdv {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 100px;
}

.cbk_rc__rdv-content {
    position: relative;
    width: 100%;
    max-width: 1390px;
    border-radius: var(--val_30);
    border: 3px solid var(--jaune);
    z-index: 1;
}

.cbk_rc__pseudo-bg {
    position: absolute;
    top: 0;
    bottom: -7px;
    left: -3px;
    right: -3px;
    background: linear-gradient(0deg, #0A0A0A 0%, rgba(102, 102, 102, 0) 54.5%);
    border-radius: var(--val_30);
}

.cbk_rc__rdv-content__info {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    row-gap: var(--val_20);
    height: 420px;
    padding: 20px 20px 40px;
}

.cbk_rc__rdv-cta {
    position: relative;
    width: fit-content;
    font-weight: var(--bold);
    border-radius: var(--val_40);
    text-transform: uppercase;
}

.cbk_rc__rdv-subtitle {
    position: relative;
    color: var(--blanc);
    font-weight: var(--extrabold);
    line-height: 1.25;
}

.cbk_rc__rdv-photo {
    position: absolute;
    right: -3px;
    bottom: -3px;
    width: 100%;
    max-width: 1013px;
    z-index: -1;
}

.cbk_rc__rdv-photo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}


/* début de cartes */
.cbk_rc__personel {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    row-gap: 40px;
    padding-top: 80px;
}

.cbk_rc__personel-content {
    display: flex;
    flex-direction: column;
    row-gap: var(--val_40);
    max-width: 760px;
    width: 100%;
}

.cbk_rc__personel-title {
    line-height: 1.25;
}

.cbk_rc__personel-text {
    max-width: 575px;
    color: var(--blanc);
    font-size: var(--size_h3);
    font-weight: var(--semibold);
    line-height: 1.5;
}

.cbk_rc__personel-cta {
    position: relative;
    display: block;
    max-width: 317px;
    width: 100%;
    overflow: hidden;
    -webkit-box-shadow: 5px 5px 10px 0px #000000;
    box-shadow: 5px 5px 10px 0px #000000;
}

.cbk_rc__personel-cta img {
width: 100%;
height: 100%;
object-fit: contain;
}

.cbk_rc__personel-cta::before {
content: '';
position: absolute;
top: -10px;
left: -100%;
width: 30px;
height: 140%;
background-color: var(--blanc);
opacity: .3;
transform: rotate(20deg);
transition: left 1.5s;
}

.cbk_rc__personel-cta:hover::before {
left: 200%;
}

.cbk_rc__personel-cta--bottom {
    margin: 0 auto;
}

.cbk_rc__personel-cards {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    max-width: 680px;
}

.cbk_rc__card {
    position: relative;
    max-width: 290px;
    width: 100%;
}

.cbk_rc__card img,
.cbk_rc__card--mobile img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.cbk_rc__reflect {
    position: absolute;
    top: 25px;
    bottom: 28px;
    left: 24px;
    right: 23px;
}
/* fin de cartes*/

/* début de cartes mobile */
.cbk_rc__personel-cards--mobile {
    display: none;
    right: -10px;
}

.cbk_rc__personnel-cards-wrapper {
    padding-bottom: var(--val_40);
}

.cbk_rc__card--mobile {
    max-width: 250px;
    width: 100%;
}

.swiper-pagination-bullet {
    background: var(--blanc);
}

.cbk_rc__personnel-cards-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 40px;
    border-radius: 10px;
    background: var(--blanc);
}
/* fin de cartes mobile */
.cbk_rc__products {
    width: 100%;
    background-image: url(https://www.cybertek.fr/images_produits/cybertek/images-landing/landing-rc/bg-2.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center 10%;
    padding-bottom: 40px;
}
/* début de galerie des boitiers */
.cbk_rc__products-carousel-title {
    position: relative;
    width: fit-content;
}

.cbk_rc__yellowed-text {
    color: var(--jaune);
}

.cbk_rc__products-carousel-title::after {
    content: '';
    position: absolute;
    bottom: -10px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--jaune);
    box-shadow: 0px 0px 20px 2px #FFC600;
}

.cbk_rc__products-carousel {
    max-width: 1600px;
    padding: 80px 0 0;
}

.cbk_rc__product-slide {
    max-width: 433px;
    border-radius: var(--val_20);
    overflow: hidden;
}

.cbk_rc__swiper-wrapper {
    padding-top: var(--val_40);
}

.cbk_rc__product-slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.cbk_rc__products-carousel-btn {
    top: 80px;
    height: 60px;
    width: 60px;
    background-color: #A5A5A5BD;
    border-radius: 50%;
}

.swiper-button-next {
    right: 0;
    transform: rotate(270deg);
}

.swiper-button-prev {
    left: unset;
    right: 80px;
    transform: rotate(90deg);
}

.swiper-button-next::after,
.swiper-button-prev::after {
    content: "";
}

.swiper-button-next,
.swiper-button-prev {
    background-image: url('https://www.cybertek.fr/images/icn_chevron-blanc.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 40px;
}

.cbk_rc__products-carousel-pagination {
    display: none;
}

.cbk_rc__products-carousel-pagination .swiper-pagination-bullet {
    width: 50px;
    margin: 0 !important;
    border-radius: 0;
}

.cbk_rc__products-carousel-pagination .swiper-pagination-bullet:first-child {
    border-radius: 10px 0 0 10px;
}

.cbk_rc__products-carousel-pagination .swiper-pagination-bullet:last-child {
    border-radius: 0 10px 10px 0;
}

.cbk_rc__products-carousel-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    border-radius: 10px;
}

.cbk_rc__carousel-text {
    max-width: 1600px;
    margin: var(--marg_0_auto);
    padding: var(--marg_20_0);
    font-size: var(--size_h3);
    color: var(--blanc);
    line-height: 1.5;
}
/* fin de galerie des boitiers */

.cbk_rc__personel-cta--bottom {
    display: block;
    max-width: 317px;
    width: 100%;
    margin: 40px auto 20px;
}
/* début de responsive */
@media screen and (max-width: 1600px) {
    .cbk_rc__introduction {
        padding: 80px 10px 0;
    }

    .cbk_rc__products {
        padding: 0 10px 40px;
    }
}

/* breakpoint spécifique pour flex-wrap automatique du texte à côté des cartes */
@media screen and (max-width: 1460px) {
    h2 br,
    p br {
        display: none;
    }

    .cbk_rc__introduction {
        background-position: center bottom;
        background-size: cover;
    }

    .cbk_rc__personel-content,
    .cbk_rc__personel-text {
        max-width: initial;
    }

    .cbk_rc__personel-content {
        text-align: center;
    }

    .cbk_rc__personel-cta {
        margin: 0 auto;
    }
}

@media screen and (max-width: 1024px) {
    .cbk_rc__rdv-content__info {
        height: calc(124px + (420 - 124) * ((100vw - 320px) / (1920 - 320)));
        padding: var(--val_10);
    }

    .cbk_rc__rdv-photo {
        max-width: calc(293px + (1013 - 293) * ((100vw - 320px) / (1920 - 320)));
    }

    .cbk_rc__rdv-cta {
        font-size: var(--size_h6);
    }
}

@media screen and (max-width: 960px) {
    .cbk_rc__rdv-title,
    .cbk_rc__bolder-text,
    .cbk_rc__rdv-subtitle,
    .cbk_rc__personel-title {
        font-size: var(--size_h4);
    }

    .cbk_rc__personel-text,
    .cbk_rc__carousel-text {
        font-size: var(--size_p);
    }

    .cbk_rc__personel-content {
        row-gap: var(--val_20);
    }

    .cbk_rc__personel-cta {
        max-width: 192px;
    }

    .cbk_rc__personel-cards {
        display: none;
    }

    .cbk_rc__personel-cards--mobile {
        display: block
    }

    .cbk_rc__products-carousel-btn {
        display: none;
    }

    .cbk_rc__products-carousel {
        padding: 40px 0;
    }

    .cbk_rc__products-carousel-pagination {
        display: block;
    }
}

@media screen and (max-width: 768px) {
    .cbk_rc__rdv-content__info {
        row-gap: var(--val_10);
    }

    .cbk_rc__rdv-cta {
        padding: var(--marg_5_10);
    }

    .cbk_rc__rdv-subtitle {
        font-size: var(--size_p);
    }
}

/* breakpoint spécifique pour flex-wrap automatique de la pagination de la galerie boitier */
@media screen and (max-width: 519px) {
    .cbk_rc__products-carousel-pagination .swiper-pagination-bullet {
        width: 30px;
    }
}
/* fin de responsive */